Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.handlers
Class InterMediaAnnotationHandler

    java.lang.Object
      oracle.ifs.core.handlers.AuditEventHandlerAdapter
          oracle.ifs.core.handlers.InterMediaAnnotationHandler

All Implemented Interfaces:
  AuditEventHandler

    public class InterMediaAnnotationHandler

extends AuditEventHandlerAdapter

InterMediaAnnotationHandler processes AuditEvents posted on Document objects that request InterMedia annotator processing on them.

Field Summary
`static java.lang.String` | `NODE_PROPERTY_NAME_ORACLE_HOME` Node property Name for the Oracle Home setting.
`static java.lang.String` | `PROPERTY_NAME_ANNOTATOR_TRACELEVEL` Handler Property Name for the Annotator TraceLevel.
`static java.lang.String` | `PROPERTY_NAME_CLASSMAP_VALUES` Handler property Name for the Class mappings.
`static java.lang.String` | `PROPERTY_NAME_INDEXABLE_ATTRIBUTES` Handler property Name for the Indexable attributes.
`static java.lang.String` | `PROPERTY_NAME_INTERMEDIAANNOTATOR_CLASSNAME` Handler property Name for name of the InterMediaAnnotator Class.

Constructor Summary
`InterMediaAnnotationHandler()`

Method Summary
`protected void` | `handleAnnotationRequests(AuditEventHandlerContext context, LibrarySession session)` Handle events by performing the requested operations.
`void` | `handleEventPosted(AuditEventHandlerContext context)` Called when at least one registered event is posted.
`void` | `handleInitialize(AuditEventHandlerContext context)` Initializes this handler.
`void` | `handleTimerExpired(AuditEventHandlerContext context)` Called when the timer for this AuditEventHandler expires.
`protected void` | `processEvent(AuditEventHandlerContext context, LibrarySession session, AuditEvent event)` Process an event.

Methods inherited from class oracle.ifs.core.handlers.AuditEventHandlerAdapter
`deleteEvents, handleDispose, selectEvents, selectMaximumEventId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME_ANNOTATOR_TRACELEVEL

    public static final java.lang.String PROPERTY_NAME_ANNOTATOR_TRACELEVEL

  Description copied from class: `InterMediaAnnotationHandler`
  Handler Property Name for the Annotator TraceLevel.

  See Also:
    Constant Field Values

### PROPERTY_NAME_INDEXABLE_ATTRIBUTES

    public static final java.lang.String PROPERTY_NAME_INDEXABLE_ATTRIBUTES

  Description copied from class: `InterMediaAnnotationHandler`
  Handler property Name for the Indexable attributes.

  See Also:
    Constant Field Values

### PROPERTY_NAME_CLASSMAP_VALUES

    public static final java.lang.String PROPERTY_NAME_CLASSMAP_VALUES

  Description copied from class: `InterMediaAnnotationHandler`
  Handler property Name for the Class mappings.

  See Also:
    Constant Field Values

### PROPERTY_NAME_INTERMEDIAANNOTATOR_CLASSNAME

    public static final java.lang.String PROPERTY_NAME_INTERMEDIAANNOTATOR_CLASSNAME

  Description copied from class: `InterMediaAnnotationHandler`
  Handler property Name for name of the InterMediaAnnotator Class.

  See Also:
    Constant Field Values

### NODE_PROPERTY_NAME_ORACLE_HOME

    public static final java.lang.String NODE_PROPERTY_NAME_ORACLE_HOME

  Description copied from class: `InterMediaAnnotationHandler`
  Node property Name for the Oracle Home setting.

  See Also:
    Constant Field Values

Constructor Detail

### InterMediaAnnotationHandler

    public InterMediaAnnotationHandler()

Method Detail

### handleInitialize

    public void handleInitialize(AuditEventHandlerContext context)
                          throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Initializes this handler.

  Called immediately after construction.

  Specified by:
    `handleInitialize` in interface `AuditEventHandler`
  Overrides:
    `handleInitialize` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleEventPosted

    public void handleEventPosted(AuditEventHandlerContext context)
                           throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Called when at least one registered event is posted.

  Specified by:
    `handleEventPosted` in interface `AuditEventHandler`
  Overrides:
    `handleEventPosted` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleTimerExpired

    public void handleTimerExpired(AuditEventHandlerContext context)
                            throws java.lang.Exception

  Description copied from class: `AuditEventHandlerAdapter`
  Called when the timer for this AuditEventHandler expires.

  Specified by:
    `handleTimerExpired` in interface `AuditEventHandler`
  Overrides:
    `handleTimerExpired` in class `AuditEventHandlerAdapter`
  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
  Throws:
    `java.lang.Exception` - if the operation fails

### handleAnnotationRequests

    protected void handleAnnotationRequests(AuditEventHandlerContext context,
                                            LibrarySession session)
                                     throws IfsException

  Description copied from class: `InterMediaAnnotationHandler`
  Handle events by performing the requested operations.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
    `session` - the session context
  Throws:
    `IfsException` - if the operation fails

### processEvent

    protected void processEvent(AuditEventHandlerContext context,
                                LibrarySession session,
                                AuditEvent event)

  Description copied from class: `InterMediaAnnotationHandler`
  Process an event.

  Delete the event after processing.

  Parameters:
    `context` - the AuditEventHandlerContext to use for processing
    `session` - the session context
    `event` - the event to process

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD